| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
inflate.c File Reference
`#include "zutil.h"`
`#include "inftrees.h"`
`#include "inflate.h"`
`#include "inffast.h"`
`#include "inffixed.h"`

Go to the source code of this file.

## Macros
#define | UPDATE(check, buf, len) (state->flags ? crc32(check, buf, len) : adler32(check, buf, len))
#define | CRC2(check, word)
#define | CRC4(check, word)
#define | LOAD()
#define | RESTORE()
#define | INITBITS()
#define | PULLBYTE()
#define | NEEDBITS(n)
#define | BITS(n) ((unsigned)hold & ((1U << (n)) - 1))
#define | DROPBITS(n)
#define | BYTEBITS()
#define | REVERSE(q)

## Functions
local void fixedtables | OF ((struct inflate_state FAR *state))
local int updatewindow | OF ((z_streamp strm, unsigned out))
local unsigned syncsearch | OF ((unsigned FAR *have, unsigned char FAR *buf, unsigned len))
int ZEXPORT | inflateReset (z_streamp strm)
int ZEXPORT | inflateReset2 (z_streamp strm, int windowBits)
int ZEXPORT | inflateInit2_ (z_streamp strm, int windowBits, const char *version, int stream_size)
int ZEXPORT | inflateInit_ (z_streamp strm, const char *version, int stream_size)
int ZEXPORT | inflatePrime (z_streamp strm, int bits, int value)
local void | fixedtables (struct inflate_state FAR *state)
local int | updatewindow (z_streamp strm, unsigned out)
int ZEXPORT | inflate (z_streamp strm, int flush)
int ZEXPORT | inflateEnd (z_streamp strm)
int ZEXPORT | inflateSetDictionary (z_streamp strm, const Bytef *dictionary, uInt dictLength)
int ZEXPORT | inflateGetHeader (z_streamp strm, gz_headerp head)
local unsigned | syncsearch (unsigned FAR *have, unsigned char FAR *buf, unsigned len)
int ZEXPORT | inflateSync (z_streamp strm)
int ZEXPORT | inflateSyncPoint (z_streamp strm)
int ZEXPORT | inflateCopy (z_streamp dest, z_streamp source)
int ZEXPORT | inflateUndermine (z_streamp strm, int subvert)
long ZEXPORT | inflateMark (z_streamp strm)

## Macro Definition Documentation

#define BITS | ( |  | n | ) | ((unsigned)hold & ((1U << (n)) - 1))

Definition at line 485 of file inflate.c.

#define BYTEBITS | ( |  | ) |

Value:
do { \
hold >>= bits & 7; \
bits -= bits & 7; \
} while (0)
bits
unsigned int bits
Definition: tif_acorn.c:68

Definition at line 496 of file inflate.c.

#define CRC2 | ( |  | check,
|  |  | word
| ) |  |

Value:
do { \
hbuf[0] = (unsigned char)(word); \
hbuf[1] = (unsigned char)((word) >> 8); \
check = crc32(check, hbuf, 2); \
} while (0)
crc32
unsigned long ZEXPORT crc32(unsigned long crc, const unsigned char FAR *buf, uInt len)
Definition: crc32.c:221

Definition at line 420 of file inflate.c.

#define CRC4 | ( |  | check,
|  |  | word
| ) |  |

Value:
do { \
hbuf[0] = (unsigned char)(word); \
hbuf[1] = (unsigned char)((word) >> 8); \
hbuf[2] = (unsigned char)((word) >> 16); \
hbuf[3] = (unsigned char)((word) >> 24); \
check = crc32(check, hbuf, 4); \
} while (0)
crc32
unsigned long ZEXPORT crc32(unsigned long crc, const unsigned char FAR *buf, uInt len)
Definition: crc32.c:221

Definition at line 427 of file inflate.c.

#define DROPBITS | ( |  | n | ) |

Value:
do { \
hold >>= (n); \
bits -= (unsigned)(n); \
} while (0)

Definition at line 489 of file inflate.c.

#define INITBITS | ( |  | ) |

Value:
do { \
hold = 0; \
bits = 0; \
} while (0)

Definition at line 460 of file inflate.c.

#define LOAD | ( |  | ) |

Value:
do { \
put = strm->next_out; \
left = strm->avail_out; \
next = strm->next_in; \
have = strm->avail_in; \
hold = state->hold; \
bits = state->bits; \
} while (0)

Definition at line 438 of file inflate.c.

#define NEEDBITS | ( |  | n | ) |

Value:
do { \
while (bits < (unsigned)(n)) \
PULLBYTE(); \
} while (0)
bits
unsigned int bits
Definition: tif_acorn.c:68

Definition at line 478 of file inflate.c.

#define PULLBYTE | ( |  | ) |

Value:
do { \
if (have == 0) goto inf_leave; \
have--; \
hold += (unsigned long)(*next++) << bits; \
bits += 8; \
} while (0)
bits
unsigned int bits
Definition: tif_acorn.c:68

Definition at line 468 of file inflate.c.

#define RESTORE | ( |  | ) |

Value:
do { \
strm->next_out = put; \
strm->avail_out = left; \
strm->next_in = next; \
strm->avail_in = have; \
state->hold = hold; \
state->bits = bits; \
} while (0)
bits
unsigned int bits
Definition: tif_acorn.c:68

Definition at line 449 of file inflate.c.

#define REVERSE | ( |  | q | ) |

Value:
((((q) >> 24) & 0xff) + (((q) >> 8) & 0xff00) + \
(((q) & 0xff00) << 8) + (((q) & 0xff) << 24))

Definition at line 503 of file inflate.c.

#define UPDATE | ( |  | check,
|  |  | buf,
|  |  | len
| ) |  | (state->flags ? crc32(check, buf, len) : adler32(check, buf, len))

Definition at line 412 of file inflate.c.

## Function Documentation

local void fixedtables | ( | struct inflate_state FAR * | state | ) |

Definition at line 240 of file inflate.c.

int ZEXPORT inflate | ( | z_streamp | strm,
|  | int | flush
| ) |  |

Definition at line 589 of file inflate.c.

int ZEXPORT inflateCopy | ( | z_streamp | dest,
|  | z_streamp | source
| ) |  |

Definition at line 1406 of file inflate.c.

int ZEXPORT inflateEnd | ( | z_streamp | strm | ) |

Definition at line 1238 of file inflate.c.

int ZEXPORT inflateGetHeader | ( | z_streamp | strm,
|  | gz_headerp | head
| ) |  |

Definition at line 1294 of file inflate.c.

int ZEXPORT inflateInit2_ | ( | z_streamp | strm,
|  | int | windowBits,
|  | const char * | version,
|  | int | stream_size
| ) |  |

Definition at line 168 of file inflate.c.

int ZEXPORT inflateInit_ | ( | z_streamp | strm,
|  | const char * | version,
|  | int | stream_size
| ) |  |

Definition at line 201 of file inflate.c.

long ZEXPORT inflateMark | ( | z_streamp | strm | ) |

Definition at line 1470 of file inflate.c.

int ZEXPORT inflatePrime | ( | z_streamp | strm,
|  | int | bits,
|  | int | value
| ) |  |

Definition at line 209 of file inflate.c.

int ZEXPORT inflateReset | ( | z_streamp | strm | ) |

Definition at line 103 of file inflate.c.

int ZEXPORT inflateReset2 | ( | z_streamp | strm,
|  | int | windowBits
| ) |  |

Definition at line 130 of file inflate.c.

int ZEXPORT inflateSetDictionary | ( | z_streamp | strm,
|  | const Bytef * | dictionary,
|  | uInt | dictLength
| ) |  |

Definition at line 1252 of file inflate.c.

int ZEXPORT inflateSync | ( | z_streamp | strm | ) |

Definition at line 1345 of file inflate.c.

int ZEXPORT inflateSyncPoint | ( | z_streamp | strm | ) |

Definition at line 1396 of file inflate.c.

int ZEXPORT inflateUndermine | ( | z_streamp | strm,
|  | int | subvert
| ) |  |

Definition at line 1453 of file inflate.c.

local void fixedtables OF | ( | (struct inflate_state FAR *state) |  | ) |

local int updatewindow OF | ( | (z_streamp strm, unsigned out) |  | ) |

local unsigned syncsearch OF | ( | (unsigned FAR *have, unsigned char FAR *buf, unsigned len) |  | ) |

local unsigned syncsearch | ( | unsigned FAR * | have,
|  | unsigned char FAR * | buf,
|  | unsigned | len
| ) |  |

Definition at line 1322 of file inflate.c.

local int updatewindow | ( | z_streamp | strm,
|  | unsigned | out
| ) |  |

Definition at line 358 of file inflate.c.